echo off
rem :  --------------------------------------------------------------
rem :  RUNOPT -- OPTHILL batch file for managing filenames
rem :  --------------------------------------------------------------
rem :  Arguments for command-line ------------
rem :  1) [path\]OPTHILL.EXE
rem :  2) OPTHILL control file  (OPTHILL.INP)
rem :  3) OPTHILL output file   (OPTHILL.LST)

if '%1' == '' goto info
if '%2' == '' goto info
if '%3' == '' goto info

rem : ---------------------------------------------------------------
rem :  Check for presence of input files
rem : ---------------------------------------------------------------
if exist %1 goto exeok
echo *  FATAL ERROR: file %1 does not exist
goto end
:exeok
if exist %2 goto inpok1
echo *  FATAL ERROR: file %2 does not exist
goto end
:inpok1

rem :  --------------------------------------------------------------
rem :  Warning for overwriting existing OUTPUT file!
rem :  --------------------------------------------------------------
if not exist %3 goto outok1
echo *  WARNING: File for output already exists and will be lost!
echo *           File  --     %3
echo *           Enter CONTROL-C now if you want to stop processing
echo *           or, press ENTER to continue
pause
del %3
:outok1
if not exist opthill.lst goto outok2
echo *  WARNING: File for output already exists and will be lost!
echo *           File  --     OPTHILL.LST
echo *           Enter CONTROL-C now if you want to stop processing
echo *           or, press ENTER to continue
pause
del opthill.lst
:outok2

rem :  --------------------------------------------------------------
rem :  Check for use of default INPUT filename
rem :  --------------------------------------------------------------
if '%2' == 'OPTHILL.INP' goto keepinp1
if '%2' == 'opthill.inp' goto keepinp1
if not exist opthill.inp goto inpok2
echo *  WARNING: A file named OPTHILL.INP exists and will be deleted!
echo *           Enter CONTROL-C now if you want to stop processing
echo *           or, press ENTER to continue
pause
del opthill.inp
:inpok2
copy %2 opthill.inp
:keepinp1

rem :  --------------------------------------------------------------
rem :  Run OPTHILL (executable file is arg #1)
rem :  --------------------------------------------------------------
%1

rem :  --------------------------------------------------------------
rem :  Check for use of default INPUT data filename
rem :  --------------------------------------------------------------
if '%2' == 'OPTHILL.INP' goto keepinp2
if '%2' == 'opthill.inp' goto keepinp2
del opthill.inp
:keepinp2

rem :  --------------------------------------------------------------
rem :  Check for use of default OUTPUT data filename
rem :  --------------------------------------------------------------
if '%3' == 'OPTHILL.LST' goto keepout
if '%3' == 'opthill.lst' goto keepout
ren opthill.lst %3
:keepout

goto end

:info
echo ..........................................................
echo .                                                        .
echo .  OPTHILL Batch Processor: Command Line is              .
echo .                                                        .
echo .  RUNOPT    file1    file2    file3                     .
echo .                                                        .
echo .  where arguments define names for i/o files:           .
echo .                                                        .
echo .  file1     ---    "[path\]OPTHILL.EXE"                 .
echo .  file2     ---    "[path\]OPTHILL.INP"                 .
echo .  file3     ---    "OPTHILL.LST"                        .
echo .                                                        .
echo ..........................................................
:end
pause
